@import 'src/utils/scss';
@import 'vars';

.container {
  width: 91%;
  max-width: 1310px;
  margin: 0 19px;
  @media (min-width: $breakpoint-xl) {
    margin: auto;
    width: 85%;
  }
}

.hollowButton {
  font-family: $font-sans;
  font-size: 18px;
  font-weight: 300;
  color: #000000;
  padding: 11px 33px;
  background-color: transparent;
  border: solid 0.6px #000000;

  &:not(:disabled) {
    cursor: pointer;

    &:hover,
    &:focus {
      background-color: #e7e7e7;
    }
  }

  &:disabled {
    opacity: 0.3;
  }
}

.hollowButtonInverse {
  background-color: $c-black;
  color: $c-white;
  font-weight: 500;

  &:not(:disabled) {
    &:hover,
    &:focus {
      background-color: #4c4c4c;
    }
  }
}

.hollowButtonBlack {
  background-color: $c-black;
  border-color: $c-white;
  color: $c-white;
  font-weight: 500;

  &:not(:disabled) {
    &:hover,
    &:focus {
      background-color: #4c4c4c;
    }
  }
}

.input {
  background-color: $c-white;
  padding: 10px 15px;
  font-family: $font-sans;
  font-size: 18px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: 4px;
  color: $c-black;
  width: 100%;
}

.blackInput {
  font-size: 14px;
  letter-spacing: 2px;
  background-color: $c-black;
  padding: 10px 15px;
  font-family: $font-sans;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  color: #ffffff;
  width: 100%;
  @media (min-width: $breakpoint-md) {
    font-size: 18px;
    letter-spacing: 4px;
  }
}

.selectInput > div {
  font-family: $font-sans;
  font-size: 18px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: 4px;
  width: 100%;
}

.spaceTop {
  margin-top: 10px;
}
